> ## Documentation Index
> Fetch the complete documentation index at: https://docs.midjourney-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Job Status

> Use the Midjourney task result API to fetch generation status, output data, and image result URLs in asynchronous image workflows.



## OpenAPI

````yaml POST /gpt/v1/job-status
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.midjourney-api.com
security:
  - CustomApiKey: []
paths:
  /gpt/v1/job-status:
    post:
      description: >-
        Use the Midjourney task result API to fetch generation status, output
        data, and image result URLs in asynchronous image workflows.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                taskIds:
                  type: array
                  items:
                    type: string
                    example: MtAd7mCuc4YqK_a1iAQSW
              required:
                - taskIds
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobStatsRes'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - CustomApiKey: []
components:
  schemas:
    JobStatsRes:
      required:
        - status
        - data
      type: object
      properties:
        status:
          description: 'Status code, 0: success;'
          type: integer
          example: 0
        message:
          description: Message
          type: string
          example: success
        data:
          type: array
          items:
            type: object
            properties:
              status:
                type: integer
                description: 'Status code, 0: doing; 1: success; 2: fail'
                example: 1
              taskId:
                type: string
                example: MtAd7mCuc4YqK_a1iAQSW
              image:
                type: string
                example: >-
                  https://cdn.midjourney.com/089b3f2e-b120-4c30-8c1e-6bb02851f661/grid_0.png
              jobId:
                type: string
                example: 089b3f2e-b120-4c30-8c1e-6bb02851f661
              images:
                type: array
                items:
                  type: string
                  example: >-
                    https://cdn.midjourney.com/089b3f2e-b120-4c30-8c1e-6bb02851f661/0_0.png
              prompt:
                type: string
                description: Prompt
                example: a dog play with a boy --niji 6 --ar 9:16
              mjPrompt:
                type: string
                description: Prompt from Midjourney
                example: a dog play with a boy --niji 6 --ar 9:16
              createdAt:
                type: integer
                example: 1766915367000
              meta:
                type: object
                properties:
                  width:
                    type: integer
                    example: 816
                  height:
                    type: integer
                    example: 1456
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
          example: 1001
        message:
          type: string
          example: quota not enough
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://midjourney-api.com/dashboard'
        target='_blank'>Midjourney-api Dashboard</a>.

````